blk_queue_max_hw_segments
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_max_hw_segments — set max hw segments for a request for this queue

## Synopsis

`void blk_queue_max_hw_segments (` | struct request_queue * | q,
| unsigned short | max_segments`)`;

## Arguments

`q`

  the request queue for the device

`max_segments`

  max number of segments

## Description

Enables a low level driver to set an upper limit on the number of hw data segments in a request. This would be the largest number of address/length pairs the host adapter can actually give as once to the device.

Prev | Up | Next
blk_queue_max_phys_segments | Home | blk_queue_max_segment_size